### Method

# EBookContacts VCard util_set_x_attribute

since: 3.26

#### Declaration [src]

    void
    e_vcard_util_set_x_attribute (
      EVCard* vcard,
      const gchar* x_name,
      const gchar* value
    )

#### Description [src]

Sets an “X-” attribute `x_name` to value `value` in `vcard`, or removes it from `vcard`, when `value` is `NULL`.

Available since: 3.26

#### Parameters

`x_name`

  Type: `const gchar*`

  The attribute name, which starts with “X-“.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  The value to set, or `NULL` to unset.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.